function fanalyticModel_1(zx)
    ϕ₁ = ϕ
    ϕ₂ = 0
    w = 0
    nu1 = 1/(1-ϕ₂)
    nu2 = -ϕ₂*(ϕ₂+ϕ₁)*(1-ϕ₁)^2/(ϕ₁^2-ϕ₂)/(ϕ₁-ϕ₂)/(1-ϕ₂)
    nu3 = -2*ϕ₁^2/(ϕ₁-ϕ₂)
    nu4 = ϕ₁^4/(ϕ₁^2-ϕ₂)
    A = zeros(5000)
    B = zeros(5000)
    C = zeros(5000) 
    D = zeros(5000)
    H = zeros(5000)
    bb = zeros(5000)
    for i = 1:5000
      A[i] = (1-γ)*i
      B[i] = (1-γ)/(1-ϕ₁)*ϕ₁*(1-ϕ₁^i)
      C[i] = 1/2*((1-γ)/(1-ϕ₁))^2*(i-2*ϕ₁*(1-ϕ₁^i)/(1-ϕ₁)+ϕ₁^2*(1-ϕ₁^(2*i))/(2-ϕ₁^2))
      D[i] = ϕ₂/2*((1-γ)/(1-ϕ₁))^2*(nu1+nu2*ϕ₂^i+nu3*ϕ₁^(i-1)+nu4*ϕ₁^(2*(i-1)))
      H[i] = w^2/8*((1-γ)/(1-ϕ₁))^4*(i*nu1^2+nu2^2*(1-ϕ₂^(2*i))/(1-ϕ₂^2)+nu3^2*(1-ϕ₁^(2*i))/(1-ϕ₁^2)+
        nu4^2*(1-ϕ₁^(4*i))/(1-ϕ₁^4)+2*nu1*nu2*(1-ϕ₂^i)/(1-ϕ₂)+2*nu1*nu3*(1-ϕ₁^i)/(1-ϕ₁)+
        nu1*nu4*(1-ϕ₁^(2*i))/(1-ϕ₁^2)+2*nu2*nu3*(1-(ϕ₁*ϕ₂)^i)/(1-ϕ₁*ϕ₂)+2*nu2*nu4*(1-(ϕ₁^2*ϕ₂)^i)/(1-ϕ₁^2*ϕ₂)+
        2*nu3*nu4*(1-ϕ₁^(3*i))/(1-ϕ₁^3))
      bb[i] = i*log(β)
    end
    f = sum(exp.(bb+A*zˣ+B*(zx[1]-zˣ)+C*xˣ+D*(zx[2]-xˣ)+H))
    return f
  end