function [Jf,Hf,H3f,Jg,Hg,H3g] = derivModel(F,G,h,order)
  
  Jf = []; Hf = []; H3f = [];
  Jg = []; Hg = []; H3g = [];
  n = length(h);

  %derivatives
  if order == 1
    for i = 1:n
      if i == 1
        Jf = diff(F,h(1));
        Jg = diff(G,h(1));
      else
        Jf = [Jf diff(F,h(i))];
        Jg = [Jg diff(G,h(i))];
      end
    end
  elseif order == 1.5
    for i = 1:n
      if i == 1
        Jf = diff(F,h(1));
        Jg = diff(G,h(1));
      else
        Jf = [Jf diff(F,h(i))];
        Jg = [Jg diff(G,h(i))];
      end
      for j = i:n
        if i == 1 && j == 1
          Hf = diff(F,h(1),h(1));
        else
          Hf = [Hf diff(F,h(i),h(j))];
        end
      end
    end
  elseif order == 2
    for i = 1:n
      if i == 1
        Jf = diff(F,h(1));
        Jg = diff(G,h(1));
      else
        Jf = [Jf diff(F,h(i))];
        Jg = [Jg diff(G,h(i))];
      end
      for j = i:n
        if i == 1 && j == 1
          Hf = diff(F,h(1),h(1));
          Hg = diff(G,h(1),h(1));
        else
          Hf = [Hf diff(F,h(i),h(j))];
          Hg = [Hg diff(G,h(i),h(j))];
        end
      end
    end
  elseif order == 2.5
    for i = 1:n
      if i == 1
        Jf = diff(F,h(1));
        Jg = diff(G,h(1));
      else
        Jf = [Jf diff(F,h(i))];
        Jg = [Jg diff(G,h(i))];
      end
      for j = i:n
        if i == 1 && j == 1
          Hf = diff(F,h(1),h(1));
        else
          Hf = [Hf diff(F,h(i),h(j))];
        end
        for l = j:n
          if i == 1 && j == 1 && l == 1
            H3f = diff(F,h(1),h(1),h(1));
          else
            H3f = [H3f diff(F,h(i),h(j),h(l))];
          end
        end
      end
    end
  elseif order == 3
    for i = 1:n
      if i == 1
        Jf = diff(F,h(1));
        Jg = diff(G,h(1));
      else
        Jf = [Jf diff(F,h(i))];
        Jg = [Jg diff(G,h(i))];
      end
      for j = i:n
        if i == 1 && j == 1
          Hf = diff(F,h(1),h(1));
          Hg = diff(G,h(1),h(1));
        else
          Hf = [Hf diff(F,h(i),h(j))];
          Hg = [Hg diff(G,h(i),h(j))];
        end
        for l = j:n
          if i == 1 && j == 1 && l == 1
            H3f = diff(F,h(1),h(1),h(1));
            H3g = diff(G,h(1),h(1),h(1));
          else
            H3f = [H3f diff(F,h(i),h(j),h(l))];
            H3g = [H3g diff(G,h(i),h(j),h(l))];
          end
        end
      end
    end
  end
end