function q = expect_GARCH(zcurrent,z_star,phi_z,xcurrent,x_star,phi_x1,phi_x2,az,bz,ax,bx,order,x_gh,w_gh,Cheb)
  
  
  n = length(w_gh);
  for i = 1:n
    znext = (1-phi_z)*z_star+phi_z*zcurrent+sqrt(xcurrent)*sqrt(2)*x_gh(i);
    xnext = (1-phi_x1)*x_star+(phi_x1+phi_x2)*xcurrent+phi_x2*xcurrent*(2*x_gh(i)^2-1);
    zzc = (2*znext-az-bz)./(bz-az);
    xxc = (2*xnext-ax-bx)./(bx-ax);
    y(i,:) = prod_complete2(zzc.^(0:order)*Cheb,xxc.^(0:order)*Cheb,order);
  end
  q = w_gh*y*pi^(-1/2);
end
