% Analytical solution for Model I: Burnside (1998, JEDC): "Solving asset pricing models with Gaussian shocks" 

for i = 1:5000
  A(i) = (1-gam)*i;
  B(i) = (1-gam)/(1-phi_z)*phi_z*(1-phi_z^i);
  C(i) = 1/2*((1-gam)/(1-phi_z))^2*(i-2*phi_z*(1-phi_z^i)/(1-phi_z)+phi_z^2*(1-phi_z^(2*i))/(2-phi_z^2));
  bb(i) = i*log(beta);
end

f_analytical_Burnside = @(z) sum(exp(bb+A*z_star+B*(z-z_star)+C*x_star));
