% Analytical solution for Model IV

z_2star = z_star-x/(1-phi_z);
Ce(1) = -log(1-x*(1-gam));
for j = 1:5000
  Be(j) = (1-gam)*(1-phi_z^j)/(1-phi_z)*phi_z;
  Ae(j) = (1-gam)*j-Be(j);
  if j > 1
    Ce(j) = Ce(j-1)-log(1-x*(1-gam)*(1-phi_z^j)/(1-phi_z));
  end
end
Bet = beta.^(1:5000);

f_analytical_de_groot_exp = @(ze) exp(Ae*z_2star+Be*ze+Ce)*Bet';

