function G = gridspace(X)
  n = size(X,2);
  k = size(X,1);
  for i = 1:k
    h = ones(k,n);
    h(i,:) = X(i,:);
    g = h(1,:);
    for j = 2:k
      g = kron(g,h(j,:));
    end
    G(i,:) = g;
  end
end
